=== debian/changelog ===
libflickr (0.1.6-1) oneiric; urgency=low

  * Fix work with D-Bus

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 25 Oct 2011 18:13:30 +0400
